+++
title = "July 2020"
date = 2020-08-02
+++

Summer is here!

Even without restrictions or quarantine is has been a weird month. Cases here are going up and down,
I don't want to go back to the gym (and I think I won't until next year), some restaurants and cafe
have closed permanently and the ones that are still standing are usually full (which is good). We're
just trying to go back to normal, step by step, and having some friends stay at home a few days
helped a lot.

[![A picture of myself from behind walking through a port](image.jpg?width=640#center)](image.jpg)

<!--more-->

This month I have focused on getting more organized. As I said [last month](/blog/2020/06/02/june/)
I badly needed it.

I have managed to move almost everything into my [notion.so](https://notion.so/) workspace.
I had some boards and notes here and there but Notion is so powerful and comfortable to use that I
just went all in. There's some cleanup to do, but my main points of interes are already there. I have
a board with my personal tasks and some metadata about them, and secondary boards for my hobbies
(Games, Books, TVShows, etc), Blog related posts, ... I may go into more detail in the future.

<div class="grid">
  <div class="col-1-2">
    <a href="./notion-tasks.png">
      <img src="./notion-tasks-320.png" />
    </a>
  </div>
  <div class="col-1-2">
    <a href="./notion-games.png">
      <img src="./notion-games-320.png" />
    </a>
  </div>
</div>

Related to this I'm also starting to cleanup every last drawer at home. I got a bit tired of not
knowing how much stuff I have so I'm making a full inventory of _everything_. It all started
reviewing how many of my clothers would still fit me after quarantine, and it snapped on me. I
don't know how much I own, and I think it happens to all of us at different levels.

With tech this is gonna be very difficult, I have managed to stash a lot (**a lot**) of cables
during the years. Just imagine how many HDMI and USB cables the average tech guy can get a hold
of... Arduinos, Raspberries... etc.

This will take time, but I'm very happy with the progress I already had and all the things I've
already donated or sold.

## Projects

- My **local infra** is mostly done at this point. I just need to secure everything a bit more
  but has been working fine (with some hiccups) for the past months. I may need to check some
  networking alternatives and move all SSL negotiation to the main node (avoiding re-encrypting
  traffic on a non-controlled node).

- **Butterrobot** got some love this month. I'm _slowly_ setting up an automated CI/CD system to
  deploy the application in my local infra, but I need to setup some other details as well. Source
  code is already on Github though repository is private while I made last minute changes. I'm
  hoping to release it this month.

- I'm also cleaning up my **Home Assistant** node. What that really means that I'm re-deploying a
  new instance on a more powerful Raspberry Pi. I have been playing with this software for years
  and my current pi is a bit underpowered and messy, so the plan is start from scratch trying to
  make the connected devices local trying to avoid third-party clouds as much as possible and
  document everything in some blog posts. Let see how that goes.

## TV Shows

I watched something!

- **M.A.R.V.E.L.s Agents of Shield**

  Some chapters of the last season. This may be the worst season so far...? (At least the few I saw)

- **The 100**

  Up to date with this one, without much focus because some interdimensional time thingy is not very
  appealing to me, just want to know how it all ends. If it doesn't end this season, I'm done with it.

- **Sword Art Online (Aincrad saga only)**

  Rewatched this one (a friend's fault) as series to have while cooking and doing chores. A bit complex
  to read subtitles the same time you do other things, but since this is a re-watch... Now looking for
  some other series with the same "protagonist sent to fantasy world" genre.

## Games

- [**Final Fantasy VII: Remake**](https://store.playstation.com/es-es/product/EP0082-CUSA07187_00-FFVIIREMAKE00000)

  I have gone through a bit more of the story, trying to enjoy the story till the end. And wait
  another five years for the next chapter...?

- [**Reventure**](https://store.steampowered.com/app/900270/Reventure/)

  Quick play sessions are quick. Oh my god this game has soooo many endings...

- [**Carrion**](https://www.xbox.com/en-US/games/carrion)

  This has been on my radar for quite some time. It's a shame is so short! Finished in a few hours, but that didn't mean
  is not great, because it is. Being the monster trapped wanted to go out instead of the _"Hero"_ killing monsters is
  a really appreciated change of perspective. The mechanics were amazing and the graphics gorgeous, it was very fun while it
  lasted.

- [**Rick and Morty: Virtual Rick-ality**](https://store.steampowered.com/app/469610/Rick_and_Morty_Virtual_Rickality/)

  I got time to play some VR, and I had this in the backlog for quite some time. I love Rick and Morty and this was
  a short and fun puzzle adventure, just what I expected. I could get on with the optional stuff but I just have too much
  on backlog!

## Articles

I forgot to take note of the interesting ones this month. :sweat_smile:
